/**
 * @author Paul Lödige (Matrikel: 15405036)
 */

package com.ploedige.fragments;

import android.app.Activity;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.TextView;

import org.w3c.dom.Text;

public class Fragment2 extends Fragment {

    Fragment2Listener buttonCallback;

    public interface Fragment2Listener{
        public void onFragment2ButtonClick();
    }

    private String firstName;
    private String lastName;

    public Fragment2(String firstName, String lastName) {
       this.firstName = firstName;
       this.lastName = lastName;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        View view =  inflater.inflate(R.layout.fragment_2, container, false);

        //write values to the text views
        TextView firstName_tv = (TextView) view.findViewById(R.id.firstName_tv);
        TextView lastName_tv = (TextView) view.findViewById(R.id.lastName_tv);
        firstName_tv.setText(firstName);
        lastName_tv.setText(lastName);

        //bind the Frament2Listener to the button
        Button jump_btn = (Button) view.findViewById(R.id.jump_btn);
        jump_btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
               buttonCallback.onFragment2ButtonClick();
            }
        });

        return view;
    }

    @Override
    public void onAttach(@NonNull Activity activity) {
        super.onAttach(activity);
        try{
            buttonCallback = (Fragment2Listener) activity;
        }
        catch (ClassCastException e){
            throw new ClassCastException(activity.toString() + "must implement Fragment2Listener");
        }
    }
}